Bug 131844 - Allow review of packages to install when doing an upgrade.
Allow review of packages to install when doing an upgrade.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-05 11:36 EDT by Kevin Cozens
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 00:30:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Cozens 2004-09-05 11:36:13 EDT
I tried to upgrade an install of Fedora Core to Fedora Core 2. The
root partition had 433M free but the installer told me I needed 322M
more disk space. This means it wants to use an extra 750M of disk
space for FC2 vs. FC for an "upgrade". It makes me think it is
installing packages I don't already have and probably don't want.

It would be nice if the installer would allow the user to review the
packages selected for installation like you used to be able to do in
the RedHat 9 installer. The option to review packages selected for
installation doesn't have to appear on screen by default. It could be
made to appear only for an expert install mode.
Comment 1 Jeremy Katz 2004-09-07 00:30:39 EDT
It's intentionally not there.  The only things we do on an upgrade are
* Upgrade versions of existing packages
* Bring in any new dependencies needed.

There are a few special cases, but those are heuristics based on
things previously installed that don't have Obsoletes for various reasons.

Adding a review button won't let you really change anything about that.
Comment 2 Kevin Cozens 2004-09-08 16:01:23 EDT
I'm not asking for the option to be there by default just that it is
there for those few occasions when I or others (ie. FC developers
verifying the automatic package selection) might find it of some help.

I would expect that an upgrade should only upgrade existing installed
packages plus any new dependencies that the newer packages require but
I fail to see how such an upgrade should require 750 Meg more than was
already being used. If I could review the package selection I could
review or possibly alter the list of packages selected for install. It
would also allow me to see a package I may no longer want/need and
remove it before doing an upgrade to save space.

Note You need to log in before you can comment on or make changes to this bug.